import type { _NSObject } from "../Foundation/NSObject.js";
import type { _CIImage } from "./CIImage.js";
import type { CGRect } from "../structs/CGRect.js";
export declare class _CIImageAccumulator extends _NSObject {
    static alloc(): _CIImageAccumulator;
    static new(): _CIImageAccumulator;
    init(): _CIImageAccumulator;
    /**
     * Create a new accumulator object. For pixel format options see CIImage.h. The specified color space is used to render the image. If no color space is specified, no color matching is done. The return values will be null if the format is unsupported or the extent is too big.
     */
    static imageAccumulatorWithExtent$format$(extent: CGRect, format: number): _CIImageAccumulator | null;
    static imageAccumulatorWithExtent$format$colorSpace$(extent: CGRect, format: number, colorSpace: Uint8Array): _CIImageAccumulator | null;
    initWithExtent$format$(extent: CGRect, format: number): _CIImageAccumulator | null;
    initWithExtent$format$colorSpace$(extent: CGRect, format: number, colorSpace: Uint8Array): _CIImageAccumulator | null;
    /**
     * Return an image representing the current contents of the accumulator. Rendering the image after subsequently calling setImage: has undefined behavior.
     */
    image(): _CIImage;
    /** Set the image 'im' as the current contents of the accumulator. */
    setImage$(image: _CIImage): void;
    /**
     * Set the image 'im' as the accumulator's contents. The caller guarantees that the new contents only differ from the old within the specified region.
     */
    setImage$dirtyRect$(image: _CIImage, dirtyRect: CGRect): void;
    /** Reset the accumulator, discarding any pending updates and current content. */
    clear(): void;
    /** Return the extent of the accumulator. */
    extent(): CGRect;
    /** Return the pixel format of the accumulator. */
    format(): number;
}
